Skip to main content
POST
/
v1
/
shared-pipelines
/
artifacts
Publish a Shared Pipeline Artifact
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/shared-pipelines/artifacts \
  --header 'Authorization: Bearer <token>' \
  --header 'content-type: <content-type>' \
  --header 'sharedPipelineIdPrefix: <sharedpipelineidprefix>' \
  --header 'versionName: <versionname>'
{
  "ignoredResources": [
    {
      "name": "<string>",
      "reason": "<string>"
    }
  ],
  "versionName": "1.0.0"
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Headers

content-type
string
required
sharedPipelineIdPrefix
string
required
versionName
string
required
commitHash
string
branch
string

Response

Shared pipeline artifact published successfully

ignoredResources
object[]

List of resources that were excluded from the published shared pipeline and the reasons they were ignored

versionName
string

The version name of the shared pipeline artifact

Example:

"1.0.0"